---
title: CSSPrimitiveValue.getStringValue()
slug: Web/API/CSSPrimitiveValue/getStringValue
tags:
  - API
  - CSSPrimitiveValue
  - Method
  - getStringValue
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>getStringValue()</strong></code> method of the {{domxref("CSSPrimitiveValue")}} interface is used to get a string value. If this CSS value doesn't contain a string value, a {{domxref("DOMException")}} is raised.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>stringValue</var> = <var>cssPrimitiveValue</var>.getStringValue();</pre>

<h3 id="Return_value">Return value</h3>

<p>A <code>string</code> value.</p>

<h3 id="Exceptions">Exceptions</h3>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col"><strong>Type</strong></th>
   <th scope="col"><strong>Description</strong></th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>DOMException</code></td>
   <td>An <code>INVALID_ACCESS_ERR</code> is raised if the CSS value doesn't contain a string value.</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<pre class="brush: js; highlight[3]">var cs = window.getComputedStyle(document.body);
var cssValue = cs.getPropertyCSSValue("display");
console.log(cssValue.getStringValue());</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSPrimitiveValue-getStringValue', 'CSSPrimitiveValue.getStringValue')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CSSPrimitiveValue.getStringValue")}}</p>
</div>
